> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-home-button.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建 ClickPipe

> **此端点目前处于 Beta 阶段。** API 契约已稳定，预计未来不会发生破坏性变更。<br /><br />创建新的 ClickPipe。



## OpenAPI

````yaml /zh/products/cloud/api-reference/cloud-openapi.json post /v1/organizations/{organizationId}/services/{serviceId}/clickpipes
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes:
    post:
      tags:
        - ClickPipes
      summary: 创建 ClickPipe
      description: '**此端点目前处于 Beta 阶段。** API 契约已稳定，预计未来不会发生破坏性变更。<br /><br />创建新的 ClickPipe。'
      parameters:
        - description: 拥有该 service 的组织 ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 要为其创建 ClickPipe 的 service ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClickPipePostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 为每个请求分配的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ClickPipe'
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细错误说明。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于请求存在被视为客户端错误的问题，服务器无法或不愿处理该请求。
components:
  schemas:
    ClickPipePostRequest:
      properties:
        destination:
          $ref: '#/components/schemas/ClickPipeMutateDestination'
        fieldMappings:
          description: ClickPipe 的字段映射。请注意，映射中必须包含所有目标端列。
          items:
            $ref: '#/components/schemas/ClickPipeFieldMapping'
          type: array
        name:
          description: ClickPipe 的名称。
          type: string
        scaling:
          $ref: '#/components/schemas/ClickPipeScaling'
        settings:
          $ref: '#/components/schemas/ClickPipeSettings'
        source:
          $ref: '#/components/schemas/ClickPipePostSource'
    ClickPipe:
      properties:
        createdAt:
          description: ClickPipe 的创建日期。
          type: string
        destination:
          $ref: '#/components/schemas/ClickPipeDestination'
        fieldMappings:
          description: ClickPipe 的字段映射。请注意，映射中必须包含所有目标列。
          items:
            $ref: '#/components/schemas/ClickPipeFieldMapping'
          type: array
        id:
          description: 唯一的 ClickPipe ID。
          format: uuid
          type: string
        name:
          description: ClickPipe 的名称。
          type: string
        scaling:
          $ref: '#/components/schemas/ClickPipeScaling'
        serviceId:
          description: 此 ClickPipe 所属服务的 ID。
          format: uuid
          type: string
        settings:
          $ref: '#/components/schemas/ClickPipeSettings'
        source:
          $ref: '#/components/schemas/ClickPipeSource'
        state:
          description: ClickPipe 的当前状态。
          type: string
        updatedAt:
          description: ClickPipe 的最后更新日期。
          type: string
    ClickPipeMutateDestination:
      properties:
        columns:
          description: 目标表的列。除 Postgres 外，所有管道类型的必填字段。
          items:
            $ref: '#/components/schemas/ClickPipeDestinationColumn'
          type: array
        database:
          description: 目标数据库。
          type: string
        managedTable:
          description: 该表是否由 ClickPipes 管理？除 Postgres 外，所有管道类型的必填字段。
          type: boolean
        roles:
          description: ClickPipe 将使用这些角色创建一个 ClickHouse 用户。如有需要，请在此添加自定义角色。
          items:
            type: string
          type: array
        table:
          description: 目标表。除 Postgres 外，所有管道类型的必填字段。
          type: string
        tableDefinition:
          $ref: '#/components/schemas/ClickPipeDestinationTableDefinition'
    ClickPipeFieldMapping:
      properties:
        destinationField:
          description: 目标字段名称。
          type: string
        sourceField:
          description: 源字段名称。
          type: string
    ClickPipeScaling:
      properties:
        concurrency:
          deprecated: true
          description: 期望的并发数。仅适用于 S3 管道。如果设置为 0，并发数将根据集群内存自动扩缩。
          type: integer
        replicaCpuMillicores:
          description: 每个副本的 CPU（毫核）。仅适用于流式管道。
          maximum: 2000
          minimum: 125
          type: integer
        replicaMemoryGb:
          description: 每个副本的内存（GB）。仅适用于流式管道。
          maximum: 8
          minimum: 0.5
          type: number
        replicas:
          description: 期望的副本数。仅适用于可扩展管道。
          type: integer
    ClickPipeSettings:
      properties:
        clickhouse_max_download_threads:
          description: 最大下载线程数。最大并发下载线程数。
          example: 4
          maximum: 32
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_insert_threads:
          description: 最大插入线程数。最大并发插入线程数。
          example: 1
          maximum: 16
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_threads:
          description: 最大线程数。文件处理的最大并发线程数。
          example: 8
          maximum: 64
          minimum: 0
          nullable: true
          type: integer
        clickhouse_min_insert_block_size_bytes:
          description: 最小插入数据块大小（字节）。插入时数据块的最小大小（以字节为单位）。
          example: 1073741824
          maximum: 10737418240
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_distributed_insert_select:
          description: 并行分布式 insert select。并行分布式 insert select 设置。
          example: 2
          maximum: 2
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_view_processing:
          description: 并行视图处理。是否启用并发推送到 attached 视图，而非按顺序推送。
          example: false
          nullable: true
          type: boolean
        object_storage_concurrency:
          description: 对象存储并发度。并发文件处理线程数。
          example: 1
          maximum: 35
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_file_count:
          description: 最大文件数。单个插入批次中处理的最大文件数。
          example: 100
          maximum: 10000
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_insert_bytes:
          description: 最大插入字节数。单个插入批次中处理的字节数。
          example: 10737418240
          maximum: 53687091200
          minimum: 10485760
          nullable: true
          type: integer
        object_storage_polling_interval_ms:
          description: 对象存储轮询时间间隔。配置连续摄取查询对象存储中新数据的刷新间隔。
          example: 30000
          maximum: 3600000
          minimum: 100
          nullable: true
          type: integer
        object_storage_use_cluster_function:
          description: 使用 cluster 函数。是否使用 ClickHouse cluster 函数进行分布式处理。
          example: true
          nullable: true
          type: boolean
        streaming_max_insert_wait_ms:
          description: 流式最大插入等待时间。配置将数据插入 ClickHouse 前的最长等待时间。
          example: 5000
          maximum: 60000
          minimum: 500
          nullable: true
          type: integer
    ClickPipePostSource:
      properties:
        kafka:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipePostKafkaSource'
        kinesis:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipePostKinesisSource'
        objectStorage:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipePostObjectStorageSource'
        postgres:
          $ref: '#/components/schemas/ClickPipeMutatePostgresSource'
        validateSamples:
          description: >-
            验证从数据源接收的数据样本。这会验证连接，以及数据的可用性和正确性。若未启用，则仅验证连接。此项对 Postgres
            管道无效，因为它们始终只验证连接和表定义。该功能为 Experimental，未来可能会移除。
          type: boolean
    ClickPipeDestination:
      properties:
        columns:
          description: 目标表的列。除 Postgres 外，所有管道类型的必填字段。
          items:
            $ref: '#/components/schemas/ClickPipeDestinationColumn'
          type: array
        database:
          description: 目标数据库。
          type: string
        managedTable:
          description: 该表是否由 ClickPipes 管理？除 Postgres 外，所有管道类型的必填字段。
          type: boolean
        table:
          description: 目标表。除 Postgres 外，所有管道类型的必填字段。
          type: string
        tableDefinition:
          $ref: '#/components/schemas/ClickPipeDestinationTableDefinition'
    ClickPipeSource:
      properties:
        kafka:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaSource'
        kinesis:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKinesisSource'
        objectStorage:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeObjectStorageSource'
        postgres:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipePostgresSource'
    ClickPipeDestinationColumn:
      properties:
        name:
          description: 列名。
          type: string
        type:
          description: 列类型。
          type: string
    ClickPipeDestinationTableDefinition:
      properties:
        engine:
          $ref: '#/components/schemas/ClickPipeDestinationTableEngine'
        partitionBy:
          description: 分区键 SQL 表达式。
          type: string
        primaryKey:
          description: 主键 SQL 表达式。
          type: string
        sortingKey:
          description: 目标表的排序键。列列表。
          items:
            type: string
          type: array
    ClickPipePostKafkaSource:
      properties:
        authentication:
          description: >-
            Kafka 源的身份验证方法。支持的身份验证方法：kafka:
            PLAIN、SCRAM-SHA-256、SCRAM-SHA-512、MUTUAL_TLS，msk:
            SCRAM-SHA-512、IAM_ROLE、IAM_USER、MUTUAL_TLS，confluent:
            PLAIN、MUTUAL_TLS，warpstream: PLAIN，azureeventhub: PLAIN，redpanda:
            SCRAM-SHA-256、SCRAM-SHA-512、MUTUAL_TLS，dokafka:
            SCRAM-SHA-256、MUTUAL_TLS
          enum:
            - PLAIN
            - SCRAM-SHA-256
            - SCRAM-SHA-512
            - IAM_ROLE
            - IAM_USER
            - MUTUAL_TLS
          type: string
        brokers:
          description: Kafka 源的 broker 列表。
          type: string
        caCertificate:
          description: 用于验证 broker 证书的 PEM 编码 CA 证书。
          nullable: true
          type: string
        consumerGroup:
          description: Kafka 源的消费者组。如果未提供，将使用 "clickpipes-<<ID>>"。
          example: my-clickpipe-consumer-group
          nullable: true
          type: string
        credentials:
          description: Kafka 源的凭据。请选择一种该身份验证方法支持的凭据。
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PLAIN'
            - $ref: '#/components/schemas/MskIamUser'
            - $ref: '#/components/schemas/AzureEventHub'
        format:
          description: Kafka 源的格式。
          enum:
            - JSONEachRow
            - Avro
            - AvroConfluent
          type: string
        iamRole:
          description: >-
            Kafka 源的 IAM 角色。与 IAM 角色身份验证配合使用。更多信息请参阅 ClickPipes
            文档：https://clickhouse.com/docs/en/integrations/clickpipes/kafka#iam
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        offset:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaOffset'
        reversePrivateEndpointIds:
          description: 用于与 Kafka 源建立安全专用连接的反向专用终结点 UUID。
          items:
            type: string
          type: array
        schemaRegistry:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeMutateKafkaSchemaRegistry'
        topics:
          description: Kafka 源的 topic 列表。
          type: string
        type:
          description: Kafka 源的类型。
          enum:
            - kafka
            - redpanda
            - msk
            - confluent
            - warpstream
            - azureeventhub
            - dokafka
          type: string
    ClickPipePostKinesisSource:
      properties:
        accessKey:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MskIamUser'
        authentication:
          description: 用于 Kinesis Stream 的身份验证方法。
          enum:
            - IAM_ROLE
            - IAM_USER
          type: string
        format:
          description: Kinesis Stream 的格式。
          enum:
            - JSONEachRow
            - Avro
            - AvroConfluent
          type: string
        iamRole:
          description: 用于身份验证的 IAM role。如果使用 IAM_ROLE，则此项必填。
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        iteratorType:
          description: 从 Kinesis Stream 读取时使用的迭代器类型。如果使用 AT_TIMESTAMP，则必须提供 timestamp 字段。
          enum:
            - TRIM_HORIZON
            - LATEST
            - AT_TIMESTAMP
          type: string
        region:
          description: Kinesis Stream 所在的 AWS 区域。
          example: us-east-1
          type: string
        streamName:
          description: Kinesis Stream 的名称。
          example: my-stream
          type: string
        timestamp:
          description: >-
            开始从 Kinesis Stream 读取的 Unix 时间戳。如果 iteratorType 为
            AT_TIMESTAMP，则此项必填。
          example: 1615766400
          nullable: true
          type: integer
        useEnhancedFanOut:
          description: 对 Kinesis Stream 启用增强扇出。
          nullable: true
          type: boolean
    ClickPipePostObjectStorageSource:
      properties:
        accessKey:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MskIamUser'
        authentication:
          description: >-
            身份验证方法。CONNECTION_STRING 用于 Azure Blob 存储。IAM_ROLE 和 IAM_USER 用于 AWS
            S3/GCS/DigitalOcean。如果未提供，则不使用身份验证。
          enum:
            - IAM_ROLE
            - IAM_USER
            - CONNECTION_STRING
          nullable: true
          type: string
        azureContainerName:
          description: Azure Blob 存储的 Container 名称。当 type 为 azureblobstorage 时必填。
          example: mycontainer
          nullable: true
          type: string
        compression:
          description: 文件使用的压缩算法。
          enum:
            - gzip
            - gz
            - brotli
            - br
            - xz
            - LZMA
            - zstd
            - auto
          example: auto
          nullable: true
          type: string
        connectionString:
          description: >-
            用于 Azure Blob 存储身份验证的 connection string。当 authentication 为
            CONNECTION_STRING 时必填。
          example: >-
            DefaultEndpointsProtocol=https;AccountName=myaccount;AccountKey=mykey;EndpointSuffix=core.windows.net
          nullable: true
          type: string
        delimiter:
          description: 文件中使用的分隔符。
          example: ','
          nullable: true
          type: string
        format:
          description: 文件格式。
          enum:
            - JSONEachRow
            - JSONAsObject
            - CSV
            - CSVWithNames
            - Parquet
            - Avro
          type: string
        iamRole:
          description: >-
            与 IAM role 身份验证配合使用的 IAM role。更多信息请参阅 ClickPipes
            文档：https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#authentication
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        isContinuous:
          description: 如果设为 true，管道将持续从源读取新文件。如果设为 false，管道只会读取这些文件一次。新文件必须按词典序上传。
          nullable: true
          type: boolean
        path:
          description: >-
            Azure container 中文件的路径。用于 Azure Blob 存储源。你可以使用类似 bash
            的通配符指定多个文件。更多信息，请参阅有关在路径中使用通配符的文档：https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#limitations
          example: data/logs/*.json
          nullable: true
          type: string
        queueUrl:
          description: >-
            用于基于事件的持续摄取的 SQS 队列 URL。提供后，文件将根据 S3 事件通知进行摄取，而非按词典序处理。仅当
            isContinuous 为 true 且身份验证不是 public 时适用。
          example: https://sqs.us-east-1.amazonaws.com/123456789012/MyQueue
          nullable: true
          type: string
        type:
          description: ObjectStorage source 的类型。
          enum:
            - s3
            - gcs
            - dospaces
            - azureblobstorage
          type: string
        url:
          description: >-
            提供要摄取的文件路径。你可以使用类似 bash
            的通配符指定多个文件。更多信息，请参阅有关在路径中使用通配符的文档：https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#limitations
          example: >-
            https://datasets-documentation.s3.eu-west-3.amazonaws.com/http/**.ndjson.gz
          type: string
    ClickPipeMutatePostgresSource:
      properties:
        credentials:
          $ref: '#/components/schemas/PLAIN'
        database:
          description: 要连接的 Postgres 实例的数据库。
          type: string
        host:
          description: 要连接的 Postgres 实例的主机。
          type: string
        port:
          description: 要连接的 Postgres 实例的端口。
          type: number
        settings:
          $ref: '#/components/schemas/ClickPipePostgresPipeSettings'
        tableMappings:
          description: Postgres 管道的表映射。
          items:
            $ref: '#/components/schemas/ClickPipePostgresPipeTableMapping'
          type: array
    ClickPipeKafkaSource:
      properties:
        authentication:
          description: >-
            Kafka 源的身份验证方法。支持的身份验证方法：kafka:
            PLAIN、SCRAM-SHA-256、SCRAM-SHA-512、MUTUAL_TLS，msk:
            SCRAM-SHA-512、IAM_ROLE、IAM_USER、MUTUAL_TLS，confluent:
            PLAIN、MUTUAL_TLS，warpstream: PLAIN，azureeventhub: PLAIN，redpanda:
            SCRAM-SHA-256、SCRAM-SHA-512、MUTUAL_TLS，dokafka:
            SCRAM-SHA-256、MUTUAL_TLS
          enum:
            - PLAIN
            - SCRAM-SHA-256
            - SCRAM-SHA-512
            - IAM_ROLE
            - IAM_USER
            - MUTUAL_TLS
          type: string
        brokers:
          description: Kafka 源的 broker 列表。
          type: string
        caCertificate:
          description: 用于验证 broker 证书的 PEM 编码 CA 证书。
          nullable: true
          type: string
        consumerGroup:
          description: Kafka 源的消费者组。如果未提供，将使用 "clickpipes-<<ID>>"。
          example: my-clickpipe-consumer-group
          nullable: true
          type: string
        format:
          description: Kafka 源的格式。
          enum:
            - JSONEachRow
            - Avro
            - AvroConfluent
          type: string
        iamRole:
          description: >-
            Kafka 源的 IAM 角色。与 IAM 角色身份验证配合使用。更多信息请参阅 ClickPipes
            文档：https://clickhouse.com/docs/en/integrations/clickpipes/kafka#iam
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        offset:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaOffset'
        reversePrivateEndpointIds:
          description: 用于与 Kafka 源建立安全专用连接的反向专用终结点 UUID。
          items:
            type: string
          type: array
        schemaRegistry:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClickPipeKafkaSchemaRegistry'
        topics:
          description: Kafka 源的 topic 列表。
          type: string
        type:
          description: Kafka 源的类型。
          enum:
            - kafka
            - redpanda
            - msk
            - confluent
            - warpstream
            - azureeventhub
            - dokafka
          type: string
    ClickPipeKinesisSource:
      properties:
        authentication:
          description: 用于 Kinesis Stream 的身份验证方法。
          enum:
            - IAM_ROLE
            - IAM_USER
          type: string
        format:
          description: Kinesis Stream 的格式。
          enum:
            - JSONEachRow
            - Avro
            - AvroConfluent
          type: string
        iamRole:
          description: 用于身份验证的 IAM role。如果使用 IAM_ROLE，则此项必填。
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        iteratorType:
          description: 从 Kinesis Stream 读取时使用的迭代器类型。如果使用 AT_TIMESTAMP，则必须提供 timestamp 字段。
          enum:
            - TRIM_HORIZON
            - LATEST
            - AT_TIMESTAMP
          type: string
        region:
          description: Kinesis Stream 所在的 AWS 区域。
          example: us-east-1
          type: string
        streamName:
          description: Kinesis Stream 的名称。
          example: my-stream
          type: string
        timestamp:
          description: >-
            开始从 Kinesis Stream 读取的 Unix 时间戳。如果 iteratorType 为
            AT_TIMESTAMP，则此项必填。
          example: 1615766400
          nullable: true
          type: integer
        useEnhancedFanOut:
          description: 对 Kinesis Stream 启用增强扇出。
          nullable: true
          type: boolean
    ClickPipeObjectStorageSource:
      properties:
        authentication:
          description: >-
            身份验证方法。CONNECTION_STRING 用于 Azure Blob 存储。IAM_ROLE 和 IAM_USER 用于 AWS
            S3/GCS/DigitalOcean。如果未提供，则不使用身份验证。
          enum:
            - IAM_ROLE
            - IAM_USER
            - CONNECTION_STRING
          nullable: true
          type: string
        azureContainerName:
          description: Azure Blob 存储的容器名称。当 type 为 azureblobstorage 时，此项必填。
          example: mycontainer
          nullable: true
          type: string
        compression:
          description: 文件使用的压缩算法。
          enum:
            - gzip
            - gz
            - brotli
            - br
            - xz
            - LZMA
            - zstd
            - auto
          example: auto
          nullable: true
          type: string
        connectionString:
          description: >-
            用于 Azure Blob 存储身份验证的 connection string。当 authentication 为
            CONNECTION_STRING 时，此项必填。
          example: >-
            DefaultEndpointsProtocol=https;AccountName=myaccount;AccountKey=mykey;EndpointSuffix=core.windows.net
          nullable: true
          type: string
        delimiter:
          description: 文件中使用的分隔符。
          example: ','
          nullable: true
          type: string
        format:
          description: 文件格式。
          enum:
            - JSONEachRow
            - JSONAsObject
            - CSV
            - CSVWithNames
            - Parquet
            - Avro
          type: string
        iamRole:
          description: >-
            用于 IAM role 身份验证的 IAM role。更多信息请参阅 ClickPipes
            文档：https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#authentication
          example: arn:aws:iam::123456789012:role/MyRole
          nullable: true
          type: string
        isContinuous:
          description: 如果设为 true，管道将持续从源读取新文件。如果设为 false，管道只会读取文件一次。新文件必须按词典序上传。
          nullable: true
          type: boolean
        path:
          description: >-
            Azure 容器中文件的路径。用于 Azure Blob 存储源。您可以使用类似 bash
            的通配符指定多个文件。更多信息请参阅路径中使用通配符的文档：https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#limitations
          example: data/logs/*.json
          nullable: true
          type: string
        queueUrl:
          description: >-
            用于基于事件的持续摄取的 SQS queue URL。提供后，文件将根据 S3 事件通知而非词典序进行摄取。仅当
            isContinuous 为 true 且 authentication 不为 public 时适用。
          example: https://sqs.us-east-1.amazonaws.com/123456789012/MyQueue
          nullable: true
          type: string
        type:
          description: ObjectStorage source 的类型。
          enum:
            - s3
            - gcs
            - dospaces
            - azureblobstorage
          type: string
        url:
          description: >-
            提供要摄取的文件路径。您可以使用类似 bash
            的通配符指定多个文件。更多信息请参阅路径中使用通配符的文档：https://clickhouse.com/docs/en/integrations/clickpipes/object-storage#limitations
          example: >-
            https://datasets-documentation.s3.eu-west-3.amazonaws.com/http/**.ndjson.gz
          type: string
    ClickPipePostgresSource:
      properties:
        database:
          description: 要连接的 Postgres 实例的数据库。
          type: string
        host:
          description: 要连接的 Postgres 实例的主机。
          type: string
        port:
          description: 要连接的 Postgres 实例的端口。
          type: number
        settings:
          $ref: '#/components/schemas/ClickPipePostgresPipeSettings'
        tableMappings:
          description: Postgres 管道的表映射。
          items:
            $ref: '#/components/schemas/ClickPipePostgresPipeTableMapping'
          type: array
    ClickPipeDestinationTableEngine:
      properties:
        columnIds:
          description: SummingMergeTree 引擎中用于求和的列名。
          items:
            type: string
          type: array
        type:
          description: 目标表的引擎类型。
          enum:
            - MergeTree
            - ReplacingMergeTree
            - SummingMergeTree
            - 'Null'
          type: string
        versionColumnId:
          description: ReplacingMergeTree 引擎中用作版本列的列名。
          nullable: true
          type: string
    PLAIN:
      properties:
        password:
          description: 密码。
          type: string
        username:
          description: 用户名。
          type: string
    MskIamUser:
      properties:
        accessKeyId:
          description: IAM 访问密钥 ID。
          type: string
        secretKey:
          description: IAM 密钥。
          type: string
    AzureEventHub:
      properties:
        connectionString:
          description: Azure EventHub 源的连接字符串。
          type: string
    ClickPipeKafkaOffset:
      properties:
        strategy:
          description: 偏移策略。
          enum:
            - from_beginning
            - from_latest
            - from_timestamp
          type: string
        timestamp:
          description: 作为起始点的精确到分钟的 UTC 时间戳。“from_timestamp”策略必填。
          example: 2021-01-01T00:00
          nullable: true
          type: string
    ClickPipeMutateKafkaSchemaRegistry:
      properties:
        authentication:
          description: Schema Registry 的身份验证类型。
          enum:
            - PLAIN
          type: string
        caCertificate:
          description: 用于验证 Schema Registry 证书的 PEM 编码 CA 证书。
          nullable: true
          type: string
        credentials:
          $ref: '#/components/schemas/ClickPipeKafkaSchemaRegistryCredentials'
        url:
          description: Schema URL。必须使用 HTTPS。
          example: https://psrc-aa00.us-east-2.aws.confluent.cloud/schemas/ids/100004
          type: string
    ClickPipePostgresPipeSettings:
      properties:
        allowNullableColumns:
          description: 允许目标表包含 Nullable 列。
          type: boolean
        enableFailoverSlots:
          description: 为已创建的 replication slot 启用故障转移。要求不要设置 replication slot。
          type: boolean
        initialLoadParallelism:
          description: 初始加载期间并行同步的表数量。
          type: number
        publicationName:
          description: 用于复制的 publication 名称。
          type: string
        pullBatchSize:
          description: 每个批次拉取的行数。
          type: number
        replicationMode:
          description: 管道使用的复制模式。
          enum:
            - cdc
            - snapshot
            - cdc_only
          type: string
        replicationSlotName:
          description: 用于复制的 replication slot 名称。
          type: string
        snapshotNumRowsPerPartition:
          description: 每个分区进行 snapshot 的行数。
          type: number
        snapshotNumberOfParallelTables:
          description: 并行进行 snapshot 的表数量。
          type: number
        syncIntervalSeconds:
          description: 从 Postgres 同步数据的间隔（秒）。
          type: number
    ClickPipePostgresPipeTableMapping:
      properties:
        excludedColumns:
          description: 要从目标表中排除的列。
          items:
            type: string
          type: array
        sortingKeys:
          description: 按顺序排列、用作目标表排序键的列列表。
          items:
            type: string
          type: array
        sourceSchemaName:
          description: 源 schema 名称。
          type: string
        sourceTable:
          description: 源表名称。
          type: string
        tableEngine:
          description: 目标表使用的表引擎。
          enum:
            - MergeTree
            - ReplacingMergeTree
            - 'Null'
          type: string
        targetTable:
          description: 目标表名称。
          type: string
        useCustomSortingKey:
          description: 是否为目标表使用自定义 sorting key。
          type: boolean
    ClickPipeKafkaSchemaRegistry:
      properties:
        authentication:
          description: Schema Registry 的身份验证类型。
          enum:
            - PLAIN
          type: string
        caCertificate:
          description: 用于验证 Schema Registry 证书的 PEM 编码 CA 证书。
          nullable: true
          type: string
        url:
          description: schema URL。必须使用 HTTPS。
          example: https://psrc-aa00.us-east-2.aws.confluent.cloud/schemas/ids/100004
          type: string
    ClickPipeKafkaSchemaRegistryCredentials:
      properties:
        password:
          description: Schema Registry 的密码。
          type: string
        username:
          description: Schema Registry 的用户名。
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        使用在 ClickHouse Cloud 控制台中获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````